"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNewline = exports.isSpaces = exports.isLineComment = exports.isBlockComment = exports.isPunctuator = exports.isKeyword = exports.isIdentifier = void 0;
function isIdentifier(node) {
    return node.type === 'Identifier';
}
exports.isIdentifier = isIdentifier;
function isKeyword(node) {
    return node.type === 'Keyword';
}
exports.isKeyword = isKeyword;
function isPunctuator(node, value) {
    return node.type === 'Punctuator' && node.value === value;
}
exports.isPunctuator = isPunctuator;
function isBlockComment(node) {
    return node.type === 'Block';
}
exports.isBlockComment = isBlockComment;
function isLineComment(node) {
    return node.type === 'Line';
}
exports.isLineComment = isLineComment;
function isSpaces(node) {
    return node.type === 'Spaces';
}
exports.isSpaces = isSpaces;
function isNewline(node) {
    return node.type === 'Newline';
}
exports.isNewline = isNewline;
