import { getSpecifiers } from './getSpecifiers';

import { maybeReportSorting, printWithSortedSpecifiers } from '../../../utils/shared';

export function maybeReportExportSpecifierSorting(node: any, context: any) {
  const sorted = printWithSortedSpecifiers(node, context.getSourceCode(), getSpecifiers);
  const [start, end] = node.range;

  maybeReportSorting(context, sorted, start, end);
}
