export type NodeKind = 'value' | 'type' | 'typeof';
export type NodeType = 'Identifier' | 'Keyword' | 'Punctuator' | 'Block' | 'Line' | 'Spaces' | 'Newline';

export interface Node {
  exportKind?: NodeKind;
  importKind?: NodeKind;
  source: { value: string };
  type: NodeType;
  value: string;
}
