const collator = new Intl.Collator('en', { numeric: true, sensitivity: 'base' });

export function compare(a: string, b: string): number {
  return collator.compare(a, b) || (a < b ? -1 : a > b ? 1 : 0);
}
