// Like `Array.prototype.flatMap`, had it been available.
export function flatMap<T>(array: T[], callback: (value: T) => T[]): T[] {
  return array.reduce((result: T[], value) => result.concat(callback(value)), []);
}
