"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maybeReportExportSpecifierSorting = void 0;
const getSpecifiers_1 = require("./getSpecifiers");
const shared_1 = require("../../../utils/shared");
function maybeReportExportSpecifierSorting(node, context) {
    const sorted = (0, shared_1.printWithSortedSpecifiers)(node, context.getSourceCode(), getSpecifiers_1.getSpecifiers);
    const [start, end] = node.range;
    (0, shared_1.maybeReportSorting)(context, sorted, start, end);
}
exports.maybeReportExportSpecifierSorting = maybeReportExportSpecifierSorting;
